package com.cku.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cku.model.CkuTabGrade;
import com.cku.model.CkuTabGradeDdz;
import com.cku.model.CkuTabGradeDdzWithBLOBs;

public interface CkuTabGradeDdzMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(CkuTabGradeDdzWithBLOBs record);

    int insertSelective(CkuTabGradeDdzWithBLOBs record);

    CkuTabGradeDdzWithBLOBs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CkuTabGradeDdzWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(CkuTabGradeDdzWithBLOBs record);

    int updateByPrimaryKey(CkuTabGradeDdz record);
    
    public List<CkuTabGradeDdz> getDogGradeDdzList(@Param("pedigreeNum")String pedigreeNum,@Param("charTime") String charTime);
    
    public List<CkuTabGradeDdz> getDogGradeDdzMonth(@Param("pedigreeNum")String pedigreeNum);
}